Bug 763090 (GLUSTER-1358)

Summary: gnfs - crash during mixed tests with 3.1.0qa5
Product: [Community] GlusterFS Reporter: Lakshmipathi G <lakshmipathi>
Component: nfsAssignee: Shehjar Tikoo <shehjart>
Status: CLOSED DUPLICATE QA Contact:
Severity: high Docs Contact:
Priority: low    
Version: 3.1-alphaCC: gluster-bugs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: RTP Mount Type: nfs
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Lakshmipathi G 2010-08-14 01:03:27 EDT
Core found for following setup:
test :mixed 
version:3.1.0qa5
4x3 distributed-replicate.
ec2-184-72-150-213.compute-1.amazonaws.com:/core.21467
log - /mnt/gNFS.log
=============

# tail -200 gNFS.log
[2010-08-13 14:42:17.55810] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 2484, payload: 2356, rpc hdr: 128
[2010-08-13 14:42:17.55866] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.55889] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 2484, payload: 2356, rpc hdr: 128
[2010-08-13 14:42:17.55936] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3470515 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.56003] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680946 Program: GlusterFS 3.1, ProgVers: 310, Proc: 4
[2010-08-13 14:42:17.56028] T [dht-layout.c:355:dht_layout_merge] distribute: missing disk layout on mirror-0. err = -1
[2010-08-13 14:42:17.56049] T [dht-selfheal.c:348:dht_selfheal_layout_new_directory] distribute: gave fix: 0 - 1073741822 on mirror-0 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56067] T [dht-selfheal.c:348:dht_selfheal_layout_new_directory] distribute: gave fix: 1073741823 - 2147483645 on mirror-1 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56084] T [dht-selfheal.c:348:dht_selfheal_layout_new_directory] distribute: gave fix: 2147483646 - 3221225468 on mirror-2 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56100] T [dht-selfheal.c:348:dht_selfheal_layout_new_directory] distribute: gave fix: 3221225469 - 4294967291 on mirror-4 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56116] T [dht-selfheal.c:173:dht_selfheal_dir_xattr] distribute: 4 subvolumes missing xattr for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56132] T [dht-selfheal.c:124:dht_selfheal_dir_xattr_persubvol] distribute: setting hash range 0 - 1073741822 (type 0) on subvolume mirror-0 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56160] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56177] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56203] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56219] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56242] T [dht-selfheal.c:124:dht_selfheal_dir_xattr_persubvol] distribute: setting hash range 1073741823 - 2147483645 (type 0) on subvolume mirror-1 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56269] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56286] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56315] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56335] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56359] T [dht-selfheal.c:124:dht_selfheal_dir_xattr_persubvol] distribute: setting hash range 2147483646 - 3221225468 (type 0) on subvolume mirror-2 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56388] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56405] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56446] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56466] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56491] T [dht-selfheal.c:124:dht_selfheal_dir_xattr_persubvol] distribute: setting hash range 3221225469 - 4294967295 (type 0) on subvolume mirror-4 for /nfsalpha757/ip-10-204-110-127/test5/fileop_L1_0/fileop_L1_0_L2_26/fileop_dir_0_26_22
[2010-08-13 14:42:17.56519] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56546] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56571] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56587] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 304, payload: 176, rpc hdr: 128
[2010-08-13 14:42:17.56621] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891174896, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56637] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 468, payload: 340, rpc hdr: 128
[2010-08-13 14:42:17.56667] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891174896, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56684] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 468, payload: 340, rpc hdr: 128
[2010-08-13 14:42:17.56721] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2474495 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.56748] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680948 Program: GlusterFS 3.1, ProgVers: 310, Proc: 23
[2010-08-13 14:42:17.56797] D [nfs3-helpers.c:2412:nfs3_log_newfh_res] nfs-nfsv3: XID: c2b8dac8, CREATE: NFS: 0(Call completed successfully.), POSIX: 0(Success), FH: hashcount 8, xlid 0, gen 5504804526097807296, ino 150407076
[2010-08-13 14:42:17.56832] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 148
[2010-08-13 14:42:17.56850] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 172, payload: 148, rpc hdr: 24
[2010-08-13 14:42:17.56866] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 148
[2010-08-13 14:42:17.56902] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891180064, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56919] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 468, payload: 340, rpc hdr: 128
[2010-08-13 14:42:17.56949] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891180064, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.56965] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 468, payload: 340, rpc hdr: 128
[2010-08-13 14:42:17.57009] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680949 Program: GlusterFS 3.1, ProgVers: 310, Proc: 38
[2010-08-13 14:42:17.57040] D [nfs3-helpers.c:2359:nfs3_log_common_res] nfs-nfsv3: XID: efb8dac8, SETATTR: NFS: 0(Call completed successfully.), POSIX: 117(Structure needs cleaning)
[2010-08-13 14:42:17.57063] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 120
[2010-08-13 14:42:17.57079] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 144, payload: 120, rpc hdr: 24
[2010-08-13 14:42:17.57097] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 120
[2010-08-13 14:42:17.57861] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3589225 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.57897] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2557822 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.58250] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3589226 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.58397] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2557823 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.58926] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601235 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.59589] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601222 Program: GlusterFS 3.1, ProgVers: 310, Proc: 16
[2010-08-13 14:42:17.59623] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3470516 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.59972] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3470517 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.63302] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3470518 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.96925] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2474496 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.96977] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601236 Program: GlusterFS 3.1, ProgVers: 310, Proc: 33
[2010-08-13 14:42:17.97043] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680952 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.97075] T [nfs3-helpers.c:2552:nfs3_fh_resolve_entry_lookup_cbk] nfs-nfsv3: Lookup failed: /nfsalpha816/ip-10-212-70-131/test9/linux-2.6.35/arch/arm/mach-davinci/include/mach/dm365.h: No such file or directory
[2010-08-13 14:42:17.97096] T [nfs.c:409:nfs_user_create] nfs: uid: 0, gid 0, gids: 0
[2010-08-13 14:42:17.97116] T [nfs-fops.c:1041:nfs_fop_rename] nfs: Rename: /nfsalpha816/ip-10-212-70-131/test9/linux-2.6.35/arch/arm/mach-davinci/include/mach/.dm365.h.9J53qF -> /nfsalpha816/ip-10-212-70-131/test9/linux-2.6.35/arch/arm/mach-davinci/include/mach/dm365.h
[2010-08-13 14:42:17.97168] T [dht-rename.c:696:dht_rename] distribute: renaming /nfsalpha816/ip-10-212-70-131/test9/linux-2.6.35/arch/arm/mach-davinci/include/mach/.dm365.h.9J53qF (hash=mirror-4/cache=mirror-4) => /nfsalpha816/ip-10-212-70-131/test9/linux-2.6.35/arch/arm/mach-davinci/include/mach/dm365.h (hash=mirror-4/cache=<nul>)
[2010-08-13 14:42:17.97187] T [dht-rename.c:509:dht_do_rename] distribute: renaming /nfsalpha816/ip-10-212-70-131/test9/linux-2.6.35/arch/arm/mach-davinci/include/mach/.dm365.h.9J53qF => /nfsalpha816/ip-10-212-70-131/test9/linux-2.6.35/arch/arm/mach-davinci/include/mach/dm365.h (mirror-4)
[2010-08-13 14:42:17.97227] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891162112, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97247] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 288, payload: 160, rpc hdr: 128
[2010-08-13 14:42:17.97331] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601237 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.97360] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2474497 Program: GlusterFS 3.1, ProgVers: 310, Proc: 17
[2010-08-13 14:42:17.97396] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601238 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.97425] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680953 Program: GlusterFS 3.1, ProgVers: 310, Proc: 33
[2010-08-13 14:42:17.97455] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97472] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 260, payload: 132, rpc hdr: 128
[2010-08-13 14:42:17.97505] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97524] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 260, payload: 132, rpc hdr: 128
[2010-08-13 14:42:17.97566] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680954 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.97592] T [nfs3-helpers.c:2552:nfs3_fh_resolve_entry_lookup_cbk] nfs-nfsv3: Lookup failed: /nfsalpha818/ip-10-212-70-131/test16/native-0/drivers/media/video/bt8xx/bttv-vbi.c: No such file or directory
[2010-08-13 14:42:17.97611] T [nfs.c:409:nfs_user_create] nfs: uid: 0, gid 0, gids: 0
[2010-08-13 14:42:17.97630] T [nfs-fops.c:601:nfs_fop_create] nfs: Create: /nfsalpha818/ip-10-212-70-131/test16/native-0/drivers/media/video/bt8xx/bttv-vbi.c
[2010-08-13 14:42:17.97662] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97679] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.97723] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97740] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.97770] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97787] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.97825] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97841] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.97869] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97886] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.97915] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97934] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.97968] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.97989] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.98015] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 0, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.98032] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 160, payload: 32, rpc hdr: 128
[2010-08-13 14:42:17.98071] T [dht-common.c:3298:dht_create] distribute: creating /nfsalpha818/ip-10-212-70-131/test16/native-0/drivers/media/video/bt8xx/bttv-vbi.c on mirror-2
[2010-08-13 14:42:17.98103] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891191216, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.98120] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 272, payload: 144, rpc hdr: 128
[2010-08-13 14:42:17.98187] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601239 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.98255] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601240 Program: GlusterFS 3.1, ProgVers: 310, Proc: 38
[2010-08-13 14:42:17.98286] D [nfs3-helpers.c:2359:nfs3_log_common_res] nfs-nfsv3: XID: 34fa6cc4, SETATTR: NFS: 0(Call completed successfully.), POSIX: 117(Structure needs cleaning)
[2010-08-13 14:42:17.98322] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 120
[2010-08-13 14:42:17.98340] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 144, payload: 120, rpc hdr: 24
[2010-08-13 14:42:17.98356] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 120
[2010-08-13 14:42:17.98392] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680941 Program: GlusterFS 3.1, ProgVers: 310, Proc: 16
[2010-08-13 14:42:17.98416] D [nfs3-helpers.c:2398:nfs3_log_write_res] nfs-nfsv3: XID: beb8dac8, WRITE: NFS: 0(Call completed successfully.), POSIX: 117(Structure needs cleaning), count: 6367, STABLE,wverf: 1281688665
[2010-08-13 14:42:17.98437] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 136
[2010-08-13 14:42:17.98454] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 160, payload: 136, rpc hdr: 24
[2010-08-13 14:42:17.98469] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 136
[2010-08-13 14:42:17.98487] T [nfs3.c:202:nfs3_call_state_wipe] nfs-nfsv3: fd ref: 3
[2010-08-13 14:42:17.98520] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680957 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1
[2010-08-13 14:42:17.98543] D [nfs3-helpers.c:2359:nfs3_log_common_res] nfs-nfsv3: XID: f5b8dac8, GETATTR: NFS: 0(Call completed successfully.), POSIX: 117(Structure needs cleaning)
[2010-08-13 14:42:17.98570] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 88
[2010-08-13 14:42:17.98587] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 112, payload: 88, rpc hdr: 24
[2010-08-13 14:42:17.98602] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 88
[2010-08-13 14:42:17.98637] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601241 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.98668] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601242 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.98697] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680958 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.98717] T [nfs3-helpers.c:2552:nfs3_fh_resolve_entry_lookup_cbk] nfs-nfsv3: Lookup failed: /nfsalpha816/ip-10-212-70-131/test8/linux-2.6.35/arch/arm/mach-h720x/include/mach/uncompress.h: No such file or directory
[2010-08-13 14:42:17.98734] T [nfs.c:409:nfs_user_create] nfs: uid: 0, gid 0, gids: 0
[2010-08-13 14:42:17.98750] T [nfs-fops.c:1041:nfs_fop_rename] nfs: Rename: /nfsalpha816/ip-10-212-70-131/test8/linux-2.6.35/arch/arm/mach-h720x/include/mach/.uncompress.h.0yQN9h -> /nfsalpha816/ip-10-212-70-131/test8/linux-2.6.35/arch/arm/mach-h720x/include/mach/uncompress.h
[2010-08-13 14:42:17.98774] T [dht-rename.c:696:dht_rename] distribute: renaming /nfsalpha816/ip-10-212-70-131/test8/linux-2.6.35/arch/arm/mach-h720x/include/mach/.uncompress.h.0yQN9h (hash=mirror-1/cache=mirror-1) => /nfsalpha816/ip-10-212-70-131/test8/linux-2.6.35/arch/arm/mach-h720x/include/mach/uncompress.h (hash=mirror-1/cache=<nul>)
[2010-08-13 14:42:17.98791] T [dht-rename.c:509:dht_do_rename] distribute: renaming /nfsalpha816/ip-10-212-70-131/test8/linux-2.6.35/arch/arm/mach-h720x/include/mach/.uncompress.h.0yQN9h => /nfsalpha816/ip-10-212-70-131/test8/linux-2.6.35/arch/arm/mach-h720x/include/mach/uncompress.h (mirror-1)
[2010-08-13 14:42:17.98823] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891165648, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.98841] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 292, payload: 164, rpc hdr: 128
[2010-08-13 14:42:17.98906] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680959 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.98945] D [nfs3-helpers.c:2412:nfs3_log_newfh_res] nfs-nfsv3: XID: 33fa6cc4, LOOKUP: NFS: 0(Call completed successfully.), POSIX: 117(Structure needs cleaning), FH: hashcount 6, xlid 0, gen 5504804526097807287, ino 185601096
[2010-08-13 14:42:17.98967] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 136
[2010-08-13 14:42:17.98985] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 160, payload: 136, rpc hdr: 24
[2010-08-13 14:42:17.99000] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 136
[2010-08-13 14:42:17.99064] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601243 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.99095] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601244 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1
[2010-08-13 14:42:17.99117] D [nfs3-helpers.c:2359:nfs3_log_common_res] nfs-nfsv3: XID: 35fa6cc4, ACCESS: NFS: 0(Call completed successfully.), POSIX: 117(Structure needs cleaning)
[2010-08-13 14:42:17.99135] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 96
[2010-08-13 14:42:17.99151] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 120, payload: 96, rpc hdr: 24
[2010-08-13 14:42:17.99166] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 96
[2010-08-13 14:42:17.99213] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680950 Program: GlusterFS 3.1, ProgVers: 310, Proc: 12
[2010-08-13 14:42:17.99236] D [nfs3-helpers.c:2382:nfs3_log_read_res] nfs-nfsv3: XID: 29fa6cc4, READ: NFS: 0(Call completed successfully.), POSIX: 0(Success), count: 4096, is_eof: 0, vector: count: 1, len: 4096
[2010-08-13 14:42:17.99265] T [rpcsvc.c:1649:nfs_rpcsvc_request_attach_vector] nfsrpc: Tx Vector: 104
[2010-08-13 14:42:17.99282] T [rpcsvc.c:1649:nfs_rpcsvc_request_attach_vector] nfsrpc: Tx Vector: 4096
[2010-08-13 14:42:17.99298] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 4224, payload: 4200, rpc hdr: 24
[2010-08-13 14:42:17.99316] T [nfs3.c:202:nfs3_call_state_wipe] nfs-nfsv3: fd ref: 3
[2010-08-13 14:42:17.99348] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680960 Program: GlusterFS 3.1, ProgVers: 310, Proc: 38
[2010-08-13 14:42:17.99382] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601245 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.99412] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601246 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.99440] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680962 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.99460] T [nfs3-helpers.c:2552:nfs3_fh_resolve_entry_lookup_cbk] nfs-nfsv3: Lookup failed: /nfsalpha819/ip-10-212-70-131/test16/native-0/drivers/macintosh/macio-adb.c: No such file or directory
[2010-08-13 14:42:17.99479] D [nfs3-helpers.c:2359:nfs3_log_common_res] nfs-nfsv3: XID: f6b8dac8, LOOKUP: NFS: 2(No such file or directory), POSIX: 14(Bad address)
[2010-08-13 14:42:17.99495] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 8
[2010-08-13 14:42:17.99513] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 32, payload: 8, rpc hdr: 24
[2010-08-13 14:42:17.99530] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 8
[2010-08-13 14:42:17.99603] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2474498 Program: GlusterFS 3.1, ProgVers: 310, Proc: 14
[2010-08-13 14:42:17.99631] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680963 Program: GlusterFS 3.1, ProgVers: 310, Proc: 1
[2010-08-13 14:42:17.99652] D [nfs3-helpers.c:2359:nfs3_log_common_res] nfs-nfsv3: XID: 3ef3c267, GETATTR: NFS: 0(Call completed successfully.), POSIX: 117(Structure needs cleaning)
[2010-08-13 14:42:17.99670] T [rpcsvc.c:1594:nfs_rpcsvc_submit_generic] nfsrpc: Tx message: 88
[2010-08-13 14:42:17.99686] T [rpcsvc.c:1384:nfs_rpcsvc_record_build_header] nfsrpc: Reply fraglen 112, payload: 88, rpc hdr: 24
[2010-08-13 14:42:17.99701] T [rpcsvc.c:1421:nfs_rpcsvc_conn_submit] nfsrpc: Tx Header: 28, payload: 88
[2010-08-13 14:42:17.99737] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601247 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.99767] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601248 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.99796] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680964 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.99818] T [nfs3-helpers.c:2552:nfs3_fh_resolve_entry_lookup_cbk] nfs-nfsv3: Lookup failed: /nfsalpha759/ip-10-204-110-127/test6/linux-2.6.35/Documentation/vm/balance: No such file or directory
[2010-08-13 14:42:17.99847] T [nfs.c:409:nfs_user_create] nfs: uid: 0, gid 0, gids: 0
[2010-08-13 14:42:17.99864] T [nfs-fops.c:601:nfs_fop_create] nfs: Create: /nfsalpha759/ip-10-204-110-127/test6/linux-2.6.35/Documentation/vm/balance
[2010-08-13 14:42:17.99890] T [dht-common.c:3298:dht_create] distribute: creating /nfsalpha759/ip-10-204-110-127/test6/linux-2.6.35/Documentation/vm/balance on mirror-2
[2010-08-13 14:42:17.99918] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891154768, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.99936] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 264, payload: 136, rpc hdr: 128
[2010-08-13 14:42:17.99999] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 3680965 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.100019] T [nfs3-helpers.c:2552:nfs3_fh_resolve_entry_lookup_cbk] nfs-nfsv3: Lookup failed: /nfsalpha205/ip-10-244-167-207/test5/fileop_L1_0/fileop_L1_0_L2_25/fileop_dir_0_25_52: No such file or directory
[2010-08-13 14:42:17.100045] T [nfs.c:409:nfs_user_create] nfs: uid: 0, gid 0, gids: 0
[2010-08-13 14:42:17.100062] T [nfs-fops.c:697:nfs_fop_mkdir] nfs: Mkdir: /nfsalpha205/ip-10-244-167-207/test5/fileop_L1_0/fileop_L1_0_L2_25/fileop_dir_0_25_52
[2010-08-13 14:42:17.100098] T [rpc-clnt.c:1184:rpc_clnt_record] : Auth Info: pid: 2891167280, uid: 0, gid: 0, owner: 46912523966304
[2010-08-13 14:42:17.100115] T [rpc-clnt.c:1076:rpc_clnt_record_build_header] rpc-clnt: Request fraglen 276, payload: 148, rpc hdr: 128
[2010-08-13 14:42:17.100181] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601249 Program: GlusterFS 3.1, ProgVers: 310, Proc: 27
[2010-08-13 14:42:17.100223] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601250 Program: GlusterFS 3.1, ProgVers: 310, Proc: 33
[2010-08-13 14:42:17.100257] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601251 Program: GlusterFS 3.1, ProgVers: 310, Proc: 33
[2010-08-13 14:42:17.100295] T [rpc-clnt.c:616:rpc_clnt_reply_init] rpc-clnt: RPC XID: 2601252 Program: GlusterFS 3.1, ProgVers: 310, Proc: 33
/lib64/libc.so.6[0x2aaaab7abf30]
/opt/glusterfs/3.1.0qa5/lib/libglusterfs.so.0[0x2aaaaacefb1f]
/opt/glusterfs/3.1.0qa5/lib/libglusterfs.so.0[0x2aaaaacefae7]
/opt/glusterfs/3.1.0qa5/lib/libglusterfs.so.0[0x2aaaaacefa30]
/opt/glusterfs/3.1.0qa5/lib/libglusterfs.so.0(inode_unref+0x58)[0x2aaaaacee516]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs_entry_loc_fill+0x152)[0x2aaaacec294e]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs3_fh_resolve_entry_hard+0x105)[0x2aaaacee5015]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs3_fh_resolve_entry+0x2b)[0x2aaaacee5232]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs3_fh_resolve_and_resume+0xf6)[0x2aaaacee537b]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs3_create+0x352)[0x2aaaaced5208]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs3svc_create+0x124)[0x2aaaaced53a4]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs_rpcsvc_handle_rpc_call+0x9b)[0x2aaaaceebaec]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs_rpcsvc_record_update_state+0x1d0)[0x2aaaaceec7ee]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs_rpcsvc_conn_data_poll_in+0xd5)[0x2aaaaceec944]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs_rpcsvc_conn_data_handler+0x87)[0x2aaaaceecd68]
/opt/glusterfs/3.1.0qa5/lib/libglusterfs.so.0[0x2aaaaad02165]
/opt/glusterfs/3.1.0qa5/lib/libglusterfs.so.0[0x2aaaaad02338]
/opt/glusterfs/3.1.0qa5/lib/libglusterfs.so.0(event_dispatch+0x65)[0x2aaaaad02608]
/opt/glusterfs/3.1.0qa5/lib/glusterfs/3.1.0qa5/xlator/nfs/server.so(nfs_rpcsvc_stage_proc+0x32)[0x2aaaacee8236]
/lib64/libpthread.so.0[0x2aaaab566407]
/lib64/libc.so.6(clone+0x6d)[0x2aaaab84fb0d]
---------

====================================================
105	list.h: No such file or directory.
	in list.h
(gdb) bt full
#0  0x00002aaaaacefb1f in __list_splice (list=0x6dcc240, head=0x40affc00) at list.h:105
No locals.
#1  0x00002aaaaacefae7 in list_splice_init (list=0x6dcc240, head=0x40affc00) at list.h:129
No locals.
#2  0x00002aaaaacefa30 in inode_table_prune (table=0x6dcc1b0) at inode.c:1146
	ret = 0
	purge = {next = 0x40affc00, prev = 0x40affc00}
	del = (inode_t *) 0x0
	tmp = (inode_t *) 0x0
	entry = (inode_t *) 0x0
#3  0x00002aaaaacee516 in inode_unref (inode=0x6d1efc0) at inode.c:462
	table = (inode_table_t *) 0x6dcc1b0
#4  0x00002aaaacec294e in nfs_entry_loc_fill (itable=0x63f5a0, ino=184820640, gen=5504804526097805000, entry=0x6d5dd40 "vr1000-cpld.h", loc=0x2aaaaac4f3c8, how=2)
    at nfs-common.c:379
	parent = (inode_t *) 0x2aaac2360e60
	entryinode = (inode_t *) 0x6d1efc0
	ret = -2
	resolvedpath = 0x0
	pret = 0
#5  0x00002aaaacee5015 in nfs3_fh_resolve_entry_hard (cs=0x2aaaaac4efe0) at nfs3-helpers.c:2942
	ret = -14
	nfu = {uid = 0, gids = {0 <repeats 17 times>}, ngrps = 1}
	__FUNCTION__ = "nfs3_fh_resolve_entry_hard"
#6  0x00002aaaacee5232 in nfs3_fh_resolve_entry (cs=0x2aaaaac4efe0) at nfs3-helpers.c:2995
	ret = -14
#7  0x00002aaaacee537b in nfs3_fh_resolve_and_resume (cs=0x2aaaaac4efe0, fh=0x40affed0, entry=0x40afff10 "vr1000-cpld.h", 
    resum_fn=0x2aaaaced4dac <nfs3_create_resume>) at nfs3-helpers.c:3022
	ret = -14
#8  0x00002aaaaced5208 in nfs3_create (req=0x8201f0, dirfh=0x40affed0, name=0x40afff10 "vr1000-cpld.h", mode=EXCLUSIVE, sattr=0x40affe90, cverf=106472391366355)
    at nfs3.c:2238
	vol = (xlator_t *) 0x63d050
	stat = NFS3ERR_SERVERFAULT
	ret = -14
	nfs3 = (struct nfs3_state *) 0x65a600
	cs = (nfs3_call_state_t *) 0x2aaaaac4efe0
	__FUNCTION__ = "nfs3_create"
#9  0x00002aaaaced53a4 in nfs3svc_create (req=0x8201f0) at nfs3.c:2275
Missing separate debuginfos, use: debuginfo-install gcc.x86_64 glibc.x86_64
---Type <return> to continue, or q <return> to quit--- 
	name = "vr1000-cpld.h\000\000\000/\000\000\000\000\000\000\000@\002�@\000\000\000\000 Z���*\000\000,\017\177��*\000\000/\000\000\000\000\000\000\000@\002�@\000\000\000\000 Z���*\000\000��~��*\000\0000\000\000\000\000\000\000\0000\000\000\000\000\000\000\0000N�\006\000\000\000\000�N~��*\000\000\000\200��\000\000\000\0000N�\006\000\000\000\000���@", '\0' <repeats 29 times>, " �@\000\000\000\000\000\020\000\000\000\000\000\000P\003�@\000\000\000\000�y|��*\000\000\030\000\000\0000\000\000\000�\000�@\000\000\000\000���@", '\0' <repeats 12 times>...
	dirfh = {ident = ":O", hashcount = 9, xlatorid = 0, gen = 5504804526097805000, ino = 184820640, entryhash = {257, 47466, 51453, 52937, 10941, 40450, 28093, 
    5499, 51584, 0 <repeats 12 times>}}
	args = {where = {dir = {data = {data_len = 40, data_val = 0x40affed0 ":O\t"}}, name = 0x40afff10 "vr1000-cpld.h"}, how = {mode = EXCLUSIVE, createhow3_u = {
      obj_attributes = {mode = {set_it = 152098515, set_mode3_u = {mode = 24790}}, uid = {set_it = 0, set_uid3_u = {uid = 0}}, gid = {set_it = 0, set_gid3_u = {
            gid = 0}}, size = {set_it = 0, set_size3_u = {size = 0}}, atime = {set_it = DONT_CHANGE, set_atime_u = {atime = {seconds = 0, nseconds = 0}}}, mtime = {
          set_it = DONT_CHANGE, set_mtime_u = {mtime = {seconds = 0, nseconds = 0}}}}, verf = "��\020\t�`\000"}}}
	ret = -1
	cverf = 106472391366355
	__FUNCTION__ = "nfs3svc_create"
#10 0x00002aaaaceebaec in nfs_rpcsvc_handle_rpc_call (conn=0x8100d0) at ../../../../xlators/nfs/lib/src//rpcsvc.c:1901
	actor = (rpcsvc_actor_t *) 0x2aaaad104100
	req = (rpcsvc_request_t *) 0x8201f0
	ret = -1
#11 0x00002aaaaceec7ee in nfs_rpcsvc_record_update_state (conn=0x8100d0, dataread=0) at ../../../../xlators/nfs/lib/src//rpcsvc.c:2383
	rs = (rpcsvc_record_state_t *) 0x8100e8
	svc = (rpcsvc_t *) 0x0
	__FUNCTION__ = "nfs_rpcsvc_record_update_state"
#12 0x00002aaaaceec944 in nfs_rpcsvc_conn_data_poll_in (conn=0x8100d0) at ../../../../xlators/nfs/lib/src//rpcsvc.c:2426
	dataread = 116
	readsize = 116
	readaddr = 0x2aaabc3e0000 "����"
	ret = -1
	__FUNCTION__ = "nfs_rpcsvc_conn_data_poll_in"
#13 0x00002aaaaceecd68 in nfs_rpcsvc_conn_data_handler (fd=23, idx=5, data=0x8100d0, poll_in=1, poll_out=0, poll_err=0)
    at ../../../../xlators/nfs/lib/src//rpcsvc.c:2555
	conn = (rpcsvc_conn_t *) 0x8100d0
	ret = 0
#14 0x00002aaaaad02165 in event_dispatch_epoll_handler (event_pool=0x63f2f0, events=0x6596f0, i=0) at event.c:812
	event_data = (struct event_data *) 0x6596f4
	handler = (event_handler_t) 0x2aaaaceecce1 <nfs_rpcsvc_conn_data_handler>
	data = (void *) 0x8100d0
	idx = 5
	ret = -1
---Type <return> to continue, or q <return> to quit---
	__FUNCTION__ = "event_dispatch_epoll_handler"
#15 0x00002aaaaad02338 in event_dispatch_epoll (event_pool=0x63f2f0) at event.c:876
	events = (struct epoll_event *) 0x6596f0
	size = 1
	i = 0
	ret = 1
	__FUNCTION__ = "event_dispatch_epoll"
#16 0x00002aaaaad02608 in event_dispatch (event_pool=0x63f2f0) at event.c:984
	ret = -1
	__FUNCTION__ = "event_dispatch"
#17 0x00002aaaacee8236 in nfs_rpcsvc_stage_proc (arg=0x62b300) at ../../../../xlators/nfs/lib/src//rpcsvc.c:64
	stg = (rpcsvc_stage_t *) 0x62b300
#18 0x00002aaaab566407 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#19 0x00002aaaab84fb0d in clone () from /lib64/libc.so.6
No symbol table info available.
(gdb)
Comment 1 Shehjar Tikoo 2010-09-02 23:50:44 EDT

*** This bug has been marked as a duplicate of bug 1384 ***